Bug 1312690 - gnome-terminal crashes on launch if only C locale is available
gnome-terminal crashes on launch if only C locale is available
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
24
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 1313413 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-28 18:34 EST by Bill Gianopoulos
Modified: 2017-08-08 09:04 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:04:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Gianopoulos 2016-02-28 18:34:01 EST
After applying recent updates using dnf I can no longer launch gnome-terminal on fedora 24 branch.  This needs to block alpha release according to the rules.

As of Feb 27 2016 08:41;46 EST all was well.  After applying the following updates, not so much:


Feb 28 16:26:06 INFO Upgraded: glibc-common-2.23.1-4.fc24.x86_64
Feb 28 16:26:08 INFO Upgraded: glibc-2.23.1-4.fc24.x86_64
Feb 28 16:26:09 INFO Upgraded: libreoffice-ure-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:26:10 INFO Upgraded: rpm-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:26:10 INFO Upgraded: rpm-libs-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:26:10 INFO Upgraded: rpm-plugin-selinux-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:26:17 INFO Installed: system-python-libs-3.5.1-6.fc24.x86_64
Feb 28 16:26:17 INFO Upgraded: rpm-build-libs-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:26:18 INFO Upgraded: glusterfs-libs-3.7.8-2.fc24.x86_64
Feb 28 16:26:18 INFO Upgraded: harfbuzz-1.2.3-1.fc24.x86_64
Feb 28 16:26:22 INFO Upgraded: binutils-2.26-13.fc24.x86_64
Feb 28 16:26:23 INFO Upgraded: poppler-0.41.0-1.fc24.x86_64
Feb 28 16:26:25 INFO Upgraded: harfbuzz-icu-1.2.3-1.fc24.x86_64
Feb 28 16:26:29 INFO Upgraded: glusterfs-3.7.8-2.fc24.x86_64
Feb 28 16:26:29 INFO Upgraded: glusterfs-client-xlators-3.7.8-2.fc24.x86_64
Feb 28 16:26:31 INFO Upgraded: glibc-headers-2.23.1-4.fc24.x86_64
Feb 28 16:26:31 INFO Upgraded: qt5-qtbase-common-5.6.0-0.34.rc.fc24.noarch
Feb 28 16:26:33 INFO Upgraded: qt5-qtbase-5.6.0-0.34.rc.fc24.x86_64
Feb 28 16:26:34 INFO Upgraded: glibc-devel-2.23.1-4.fc24.x86_64
Feb 28 16:26:35 INFO Upgraded: harfbuzz-devel-1.2.3-1.fc24.x86_64
Feb 28 16:26:38 INFO Upgraded: gdb-7.11-58.fc24.x86_64
Feb 28 16:26:51 INFO Upgraded: python3-libs-3.5.1-6.fc24.x86_64
Feb 28 16:26:52 INFO Upgraded: python3-3.5.1-6.fc24.x86_64
Feb 28 16:26:54 INFO Upgraded: redland-1.0.17-7.fc24.x86_64
Feb 28 16:27:01 INFO Upgraded: selinux-policy-3.13.1-175.fc24.noarch
Feb 28 16:27:01 INFO Upgraded: libreoffice-opensymbol-fonts-1:5.1.1.2-1.fc24.noarch
Feb 28 16:27:01 INFO Upgraded: autocorr-en-1:5.1.1.2-1.fc24.noarch
Feb 28 16:27:33 INFO Upgraded: libreoffice-core-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:37 INFO Upgraded: libreoffice-pyuno-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:40 INFO Upgraded: libreoffice-calc-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:42 INFO Upgraded: libreoffice-writer-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:43 INFO Upgraded: libreoffice-impress-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:43 INFO Upgraded: libreoffice-graphicfilter-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:43 INFO Upgraded: libreoffice-pdfimport-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:44 INFO Upgraded: libreoffice-draw-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:45 INFO Upgraded: libreoffice-ogltrans-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:45 INFO Upgraded: libreoffice-emailmerge-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:45 INFO Upgraded: libreoffice-math-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:47 INFO Upgraded: libreoffice-xsltfilter-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:27:47 INFO Upgraded: libreoffice-filters-1:5.1.1.2-1.fc24.x86_64
Feb 28 16:28:04 INFO Upgraded: selinux-policy-targeted-3.13.1-175.fc24.noarch
Feb 28 16:28:06 INFO Upgraded: python3-pycurl-7.43.0-2.fc24.x86_64
Feb 28 16:28:07 INFO Upgraded: python3-urllib3-1.13.1-3.fc24.noarch
Feb 28 16:28:07 INFO Upgraded: rpm-python3-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:28:08 INFO Upgraded: rpm-build-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:28:09 INFO Upgraded: glibc-static-2.23.1-4.fc24.x86_64
Feb 28 16:28:14 INFO Upgraded: qt5-qtbase-gui-5.6.0-0.34.rc.fc24.x86_64
Feb 28 16:28:18 INFO Upgraded: glusterfs-fuse-3.7.8-2.fc24.x86_64
Feb 28 16:28:18 INFO Upgraded: glusterfs-api-3.7.8-2.fc24.x86_64
Feb 28 16:28:18 INFO Upgraded: poppler-utils-0.41.0-1.fc24.x86_64
Feb 28 16:28:19 INFO Upgraded: poppler-glib-0.41.0-1.fc24.x86_64
Feb 28 16:28:20 INFO Upgraded: binutils-devel-2.26-13.fc24.i686
Feb 28 16:28:20 INFO Upgraded: binutils-devel-2.26-13.fc24.x86_64
Feb 28 16:28:21 INFO Upgraded: rpm-python-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:28:21 INFO Upgraded: rpm-devel-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:28:22 INFO Upgraded: rpm-plugin-systemd-inhibit-4.13.0-0.rc1.25.fc24.x86_64
Feb 28 16:28:22 INFO Upgraded: SDL2-2.0.4-4.fc24.x86_64
Feb 28 16:28:24 INFO Upgraded: libappstream-glib-0.5.10-1.fc24.x86_64
Feb 28 16:28:25 INFO Upgraded: mozjs17-17.0.0-15.fc24.x86_64
Feb 28 16:28:33 INFO Upgraded: python-pycurl-7.43.0-2.fc24.x86_64
Feb 28 16:28:34 INFO Upgraded: abattis-cantarell-fonts-0.0.23-1.fc24.noarch
Feb 28 16:28:39 INFO Upgraded: glibc-2.23.1-4.fc24.i686
Feb 28 16:28:40 INFO Upgraded: rpm-plugin-selinux-4.13.0-0.rc1.25.fc24.i686
Feb 28 16:28:41 INFO Upgraded: rpm-libs-4.13.0-0.rc1.25.fc24.i686
Feb 28 16:28:42 INFO Upgraded: harfbuzz-1.2.3-1.fc24.i686
Feb 28 16:28:43 INFO Upgraded: glibc-devel-2.23.1-4.fc24.i686
Feb 28 16:28:43 INFO Upgraded: harfbuzz-icu-1.2.3-1.fc24.i686
Feb 28 16:28:43 INFO Upgraded: rpm-build-libs-4.13.0-0.rc1.25.fc24.i686
Feb 28 16:28:43 INFO Upgraded: rpm-devel-4.13.0-0.rc1.25.fc24.i686
Feb 28 16:28:44 INFO Upgraded: harfbuzz-devel-1.2.3-1.fc24.i686
Comment 1 Bill Gianopoulos 2016-02-28 18:36:36 EST
Attempting to launch gnome-terminal results in the following errors:

[wag@usb ~]$ gnome-terminal

(process:2312): Gtk-WARNING **: Locale not supported by C library.
        Using the fallback 'C' locale.
Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Process org.gnome.Terminal exited with status 9
Comment 2 Petr Schindler 2016-02-29 03:58:17 EST
Same problem happens to me. I propose this as Alpha blocker as it violates the alpha criterion: "It must be possible to run the default web browser and a terminal application from all release-blocking desktop environments."
Comment 3 Christian Persch (GNOME) 2016-02-29 07:22:00 EST
https://wiki.gnome.org/Apps/Terminal/FAQ#Exit_status_9
Comment 4 Debarshi Ray 2016-02-29 10:40:11 EST
I believe this could be due to the recent langpack related changes in the glibc package. I have heard that a recent glibc update in rawhide caused people to loose all their locales.
Comment 5 Matthias Clasen 2016-02-29 10:46:14 EST
Not our fault - the glibc langpack split must be engineered such that people don't loose all their locales when upgrading.
Comment 6 Stephen Gallagher 2016-02-29 10:47:40 EST
(In reply to Matthias Clasen from comment #5)
> Not our fault - the glibc langpack split must be engineered such that people
> don't loose all their locales when upgrading.

I can't make it to the meeting today, so +1 blocker here.
Comment 7 Adam Williamson 2016-02-29 11:00:06 EST
So I've taken a bit of executive action here. I think there's really two issues. It seems to me that "gnome-terminal fails to start if only C locale is available" is a real bug, but not a high severity/priority one and not really the blocker issue here unless we actually envisage Workstation systems with no locales as a typical use case, which I don't think we do.

The real blocker bug we know about for sure is "all locales disappear on upgrade to a glibc package with the langpack split", so I filed https://bugzilla.redhat.com/show_bug.cgi?id=1312956 and nominated it as a Beta blocker (since upgrade issues are Beta).

It's possible we may wind up having *another* blocker (or two! isn't this fun) for locales not being present after fresh install, but we can't tell that yet because anaconda is completely broken so we can't test it.

So I think we should keep this bug and re-assign it to gnome-terminal for the 'gnome-terminal should be able to run with the C locale' case, but drop the priority/severity and the blocker nomination. I've done that, go ahead and yell at me if you think I'm wrong. :)
Comment 8 Christian Persch (GNOME) 2016-02-29 11:34:18 EST
> the 'gnome-terminal should be able to run with the C locale' case

This has already been WONTFIXed upstream, but note that you can just use C.UTF-8 (if fedora provides that like debian does).
Comment 9 Bill Gianopoulos 2016-02-29 11:46:59 EST
OK. So is the fix for users here to just install the correct langpack?  SO I should install glibc-langpack-en?
Comment 10 Adam Williamson 2016-02-29 11:51:48 EST
hmm, I think C.UTF-8 is supposed to be available when no langpacks are installed. I'll dig into this a bit more if I find time, just out of curiosity's sake...
Comment 11 Stephen Gallagher 2016-02-29 11:57:07 EST
Yeah, C.UTF-8 is part of the built-in set (or is supposed to be). If it's not failing back to that locale, then the bug is still in gnome-terminal (maybe a downstream patch?)
Comment 12 Carlos O'Donell 2016-02-29 12:07:41 EST
(In reply to Stephen Gallagher from comment #11)
> Yeah, C.UTF-8 is part of the built-in set (or is supposed to be). If it's
> not failing back to that locale, then the bug is still in gnome-terminal
> (maybe a downstream patch?)

C.UTF-8 is *absolutely* part of the built-in set on Fedora and other distributions. We are working to set this standard distribution wide so that everyone can use a fallback UTF-8 locale.

If you find a distribution that doesn't have it, please tell me and I'll go upstream to discuss it with their respective glibc liason (https://sourceware.org/glibc/wiki/MAINTAINERS#Distribution_Maintainers)
Comment 13 Carlos O'Donell 2016-03-01 03:35:44 EST
With glibc-2.23.90-3.fc25 and glibc-2.23.1-5.fc24 we have now fixed
the upgrade issue in several important ways.

See:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/WXOOUGA3YCB2O4O77JGLSJZ25BS4RFK5/

You should now always get glibc-all-langpacks by default, and so gnome-terminal should just work.

However! That doesn't mean this bug is fixed. We'll be minimizing the installed locales and it would be better if gnome-terminal ran in a C.UTF-8 locale properly.
Comment 14 Adam Williamson 2016-03-01 10:52:12 EST
right, we're keeping this bug around for that purpose.
Comment 15 Christian Persch (GNOME) 2016-03-01 11:21:32 EST
gnome-terminal works just fine when the locale is C.UTF-8 . What doesn't work (by design) is when you configure a locale that does not exist.
Comment 16 Carlos O'Donell 2016-03-01 11:26:57 EST
(In reply to Christian Persch (GNOME) from comment #15)
> gnome-terminal works just fine when the locale is C.UTF-8 . What doesn't
> work (by design) is when you configure a locale that does not exist.

Christian, Thanks for confirming.

Do you see any way to better support restoring broken systems when say a user sets environment variables incorrectly and gnome-terminal won't start?

For example, this:
~~~
(process:2312): Gtk-WARNING **: Locale not supported by C library.
        Using the fallback 'C' locale.
Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Process org.gnome.Terminal exited with status 9
~~~
Is not easily seen as "You specified a locale that doesn't exist. Please correct your locale settings and restart gnome-terminal."
Comment 17 Debarshi Ray 2016-03-02 10:05:14 EST
There is https://wiki.gnome.org/Apps/Terminal/FAQ#Terminal_fails_to_start but I understand that inferring things from the exit status can be cryptic.
Comment 18 Debarshi Ray 2016-03-02 10:19:51 EST
*** Bug 1313413 has been marked as a duplicate of this bug. ***
Comment 19 Carlos O'Donell 2016-03-02 11:20:03 EST
(In reply to Debarshi Ray from comment #17)
> There is https://wiki.gnome.org/Apps/Terminal/FAQ#Terminal_fails_to_start
> but I understand that inferring things from the exit status can be cryptic.

Perfect. That answers everything for me. I think this bug should be CLOSED/NOTABUG then.

The glibc team is looking at a fallback that might help such cases e.g. have UTF-8 enabled C locale as a fallback:
https://bugzilla.redhat.com/show_bug.cgi?id=1313818
Comment 20 Christian Persch (GNOME) 2016-03-02 12:18:21 EST
(In reply to Debarshi Ray from comment #17)
> There is https://wiki.gnome.org/Apps/Terminal/FAQ#Terminal_fails_to_start
> but I understand that inferring things from the exit status can be cryptic.

In 3.19.91, the error message has been augmented by a 1-line explanation and a link to the corresponding FAQ section.
Comment 21 Fedora End Of Life 2017-07-25 16:15:45 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2017-08-08 09:04:56 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.